=== debian/changelog ===
libccd (2.0-1) unstable; urgency=medium

  * Initial release (Closes: #722266)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Mar 2014 16:51:48 +0000
