=== debian/control ===
Source: libccd
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Standards-Version: 3.9.5
Section: science
Priority: extra
Build-Depends: debhelper (>= 9), 
               cmake
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libccd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libccd.git
Homepage: http://libccd.danfis.cz/

Package: libccd2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for collision detection between convex shapes - shared library
 libccd implements variation on Gilbert-Johnson-Keerthi (GJK) algorithm + Expand
 Polytope Algorithm (EPA). It also implements Minkowski Portal Refinement (MPR,
 a.k.a. XenoCollide) algorithm as published in Game Programming Gems 7. libccd
 is one of the very few open source libraries that include MPR algorithm working 
 in 3-D space.  However, there is a library called mpr2d, implemented in D
 programming language, that works in 2-D space.
 .
 This package gathers the shared library

Package: libccd-dev
Architecture: any
Section: libdevel
Depends: libccd2 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Library for collision detection between convex shapes - dev files
 libccd implements variation on Gilbert-Johnson-Keerthi (GJK) algorithm + Expand
 Polytope Algorithm (EPA). It also implements Minkowski Portal Refinement (MPR,
 a.k.a. XenoCollide) algorithm as published in Game Programming Gems 7. libccd
 is one of the very few open source libraries that include MPR algorithm working 
 in 3-D space.  However, there is a library called mpr2d, implemented in D
 programming language, that works in 2-D space. 
 .
 This package contains development files (headers, shared library
 symbolic link and cmake file).

Package: libccd2-dbg
Architecture: any
Section: debug
Depends: libccd2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Library for collision detection between convex shapes - debug files
 libccd implements variation on Gilbert-Johnson-Keerthi (GJK) algorithm + Expand
 Polytope Algorithm (EPA). It also implements Minkowski Portal Refinement (MPR,
 a.k.a. XenoCollide) algorithm as published in Game Programming Gems 7. libccd
 is one of the very few open source libraries that include MPR algorithm working 
 in 3-D space.  However, there is a library called mpr2d, implemented in D 
 programming language, that works in 2-D space.
 .
 This package contains the debugging symbols.
