=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_configure   \
        override_dh_strip

override_dh_auto_configure:
	dh_auto_configure --  \
	    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	    -DCCD_DOUBLE:BOOL=True

override_dh_strip:
	dh_strip -a --dbg-package=libccd2-dbg

%:
	dh $@ --parallel --buildsystem=cmake
