=== debian/changelog ===
libccd (2.1-3) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * d/rules: Declare compatibility with modern CMake versions (Closes: #1113125)

  [ Timo Röhling ]
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Sep 2025 16:55:32 +0200

libccd (2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jose Luis Rivero ]
  * Bump standards to 4.6.0
  * Bump debhelper to 13
  * Package cmake helpers in -dev package
  * Skip the installation of license file
  * Update watch file to version 4
  * Add rules-require-root no

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Nov 2021 19:56:52 +0000

libccd (2.1-1) unstable; urgency=medium

  * Update Standards
  * New upstream version 2.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 26 Dec 2018 15:23:26 +0000
