=== debian/tests/control ===
Tests: build
Depends: libccd-dev, build-essential, pkg-config
